Geri ödeme planını sil
curl --request DELETE \
--url https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId} \
--header 'Authorization: Bearer <token>' \
--header 'X-CompanyID: <x-companyid>' \
--header 'X-UserID: <x-userid>'using RestSharp;
var options = new RestClientOptions("https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-UserID", "<x-userid>");
request.AddHeader("X-CompanyID", "<x-companyid>");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'DELETE',
headers: {
'X-UserID': '<x-userid>',
'X-CompanyID': '<x-companyid>',
Authorization: 'Bearer <token>'
}
};
fetch('https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}"
headers = {
"X-UserID": "<x-userid>",
"X-CompanyID": "<x-companyid>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"Success": false,
"ResultCode": "8025",
"Message": "The repayment plan cannot be deleted because it is used by other records.",
"Errors": [
{
"Code": "8025",
"Message": "The repayment plan cannot be deleted because it is used by other records."
}
]
}{
"Success": false,
"ResultCode": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token.",
"Errors": [
{
"Code": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token."
}
]
}{
"Success": false,
"ResultCode": "0110",
"Message": "You do not have permission for this operation.",
"Errors": [
{
"Code": "0110",
"Message": "You do not have permission for this operation."
}
]
}{
"Success": false,
"ResultCode": "8010",
"Message": "Bank account not found.",
"Errors": [
{
"Code": "8010",
"Message": "Bank account not found."
}
]
}{
"Success": false,
"ResultCode": "0120",
"Message": "Daily request limit (10000) exceeded.",
"Errors": [
{
"Code": "0120",
"Message": "Daily request limit (10000) exceeded."
}
]
}Geri ödeme planları
Geri ödeme planını sil
Geri ödeme planını ve komisyon oranlarını siler.
DELETE
/
api
/
v1
/
finance
/
bank-accounts
/
{bankAccountId}
/
repayment-plans
/
{repaymentPlanId}
Geri ödeme planını sil
curl --request DELETE \
--url https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId} \
--header 'Authorization: Bearer <token>' \
--header 'X-CompanyID: <x-companyid>' \
--header 'X-UserID: <x-userid>'using RestSharp;
var options = new RestClientOptions("https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-UserID", "<x-userid>");
request.AddHeader("X-CompanyID", "<x-companyid>");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'DELETE',
headers: {
'X-UserID': '<x-userid>',
'X-CompanyID': '<x-companyid>',
Authorization: 'Bearer <token>'
}
};
fetch('https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.noyax.com/services/noyax_api/api/v1/finance/bank-accounts/{bankAccountId}/repayment-plans/{repaymentPlanId}"
headers = {
"X-UserID": "<x-userid>",
"X-CompanyID": "<x-companyid>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"Success": false,
"ResultCode": "8025",
"Message": "The repayment plan cannot be deleted because it is used by other records.",
"Errors": [
{
"Code": "8025",
"Message": "The repayment plan cannot be deleted because it is used by other records."
}
]
}{
"Success": false,
"ResultCode": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token.",
"Errors": [
{
"Code": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token."
}
]
}{
"Success": false,
"ResultCode": "0110",
"Message": "You do not have permission for this operation.",
"Errors": [
{
"Code": "0110",
"Message": "You do not have permission for this operation."
}
]
}{
"Success": false,
"ResultCode": "8010",
"Message": "Bank account not found.",
"Errors": [
{
"Code": "8010",
"Message": "Bank account not found."
}
]
}{
"Success": false,
"ResultCode": "0120",
"Message": "Daily request limit (10000) exceeded.",
"Errors": [
{
"Code": "0120",
"Message": "Daily request limit (10000) exceeded."
}
]
}Başka kayıtlarda kullanılan bir geri ödeme planı silinemez (
8025); planın kendi komisyon oranları bu kontrole girmez, planla birlikte silinir.
Hata kodları
Bu endpoint’in dönebileceği kodlar. Her endpoint için geçerli olan genel hatalar (kimlik doğrulama, yetki, istek header’ları, günlük limit) burada tekrarlanmaz.| Kod | HTTP | Anlamı |
|---|---|---|
8010 | 404 | Banka hesabı bulunamadı |
8020 | 404 | Geri ödeme planı bulunamadı |
8025 | 400 | Geri ödeme planı başka kayıtlarda kullanıldığı için silinemez |
Yetkilendirmeler
Access token obtained from the Noyax auth service with your API key.
Başlıklar
İsteğin adına yapıldığı Noyax kullanıcısının ID'si. Oluşturulan, güncellenen ve silinen kayıtların denetim alanlarına yazılır.
Gerekli aralık:
x >= 1Şirketin ID'si. Kullanıcı bu şirkete tanımlı olmalıdır. Bütün okuma ve yazma işlemleri bu şirketle sınırlıdır.
Gerekli aralık:
x >= 1Muhasebe döneminin ID'si. Cari endpoint'lerinde isteğe bağlıdır; gönderilirse oluşturulan kayıtlara yazılır.
Gerekli aralık:
x >= 1Yol Parametreleri
Banka hesabı ID'si.
Geri ödeme planı ID'si.
Yanıt
No Content